Module
Contents
Index 🔎︎
\<bookmark_value\>InStr function\</bookmark_value\>

# InStr Function

Returns the position of a string within another string.

The Instr function returns the position at which the match was found. If the string was not found, the function returns 0.

## Syntax:

    InStr ([Start As Long,] Text1 As String, Text2 As String[, Compare])

## Return value:

Integer

## Parameters:

\<emph\>Start: \</emph\>A numeric expression that marks the position in a string where the search for the specified substring starts. If you omit this parameter, the search starts at the first character of the string. The maximum allowed value is 65535.

\<emph\>Text1:\</emph\> The string expression that you want to search.

\<emph\>Text2:\</emph\> The string expression that you want to search for.

\<emph\>Compare:\</emph\> Optional numeric expression that defines the type of comparison. The value of this parameter can be 0 or 1. The default value of 1 specifies a text comparison that is not case-sensitive. The value of 0 specifies a binary comparison that is case-sensitive.

To avoid a run-time error, do not set the Compare parameter if the first return parameter is omitted.

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExamplePosition

    Dim sInput As String

    Dim iPos As Integer

        sInput = "Office"

        iPos = Instr(sInput,"c")

        Print iPos

    End Sub